#ifndef PROJECTOR_H
#define PROJECTOR_H

#include <unistd.h>

class Projector
{

public:
    Projector();
    ~Projector();
    int width() const;
    int height() const;
    int bitsPerPixel() const;
    void show(const unsigned char* frameData, size_t size);

private:
    // Framebuffer file descriptor
    int fbFd;
    // Pointer to mmaped framebuffer memory
    void *fbMemoryPtr;
    // Framebuffer memory size
    size_t fbMemorySize;
    // Projector screen width
    int screenWidth;
    // Projector screen height
    int screenHeight;
    // Projector screen bits per pixel
    int screenBitsPerPixel;

};

#endif // PROJECTOR_H
